<template>
  <div class="contact-card" @click="onClick">
    <section id="contactInfo">
      <h1>{{ fullName }}</h1>
      <h2>{{ details.mobile }}</h2>
    </section>
    <div class="btn">
      <button @click="deleteContact" class="delete">
        <i class="fas fa-trash"></i>
      </button>
      <button @click="seeMore" class="details">
        <i class="fas fa-info"></i>
      </button>
    </div>
  </div>
</template>

<script>
export default {
  name: "ContactCard",
  props: {
    details: {
      propType: Array,
      required: true
    }
  },
  data() {
    return {
      contactId: this.details.id
    };
  },

  methods: {
    deleteContact() {
      this.$emit("delete-contact-event", this.contactId);
    },
    seeMore() {
      this.$emit("see-more-details-event", this.contactId);
    }
  },
  computed: {
    fullName: function() {
      //return (this.details.name + ' ' + this.details.familyName)
      return `${this.details.name} ${this.details.familyName}`;
    }
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.contact-card {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
  margin: 1rem 25rem;
  padding: 1rem;
  border-radius: 10px;
  background: #e1ecf2;
  box-shadow: 14px 14px 38px #c8d2d7, -14px -14px 38px #faffff;
}
#contactInfo {
  display: flex;
  flex-direction: column;
  text-align: left;
  width: 20vw;
}
.btn {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}
button {
  padding: 1rem;
  border-style: none;
  border-radius: 10px;
  background: #e1ecf2;
  box-shadow: 5px 5px 10px #d1dbe1, -5px -5px 10px #f1fdff;
}
h1 {
  font-size: 18px;
  margin: 0rem;
  margin-top: 1rem;
  color: rgb(83, 83, 83);
}
h2 {
  font-size: 16px;
  margin: 1rem 0rem;
  color: rgb(83, 83, 83);
}
.delete {
  color: rgb(248, 94, 94);
}
.details {
  color: #1cb6e0;
}
@media all and (max-width: 601px) {
  #contactInfo {
    width: 40vw;
  }
  .contact-card {
    margin: 1rem 2rem;
    padding: 0.5rem;
  }
  h1 {
    font-size: 12px;
  }
  h2 {
    font-size: 10px;
  }
  button {
    padding: 0.8rem;
    font-size: 10px;
  }
}
</style>
